memory_resource File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx
namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_memory_resources
#define | _GLIBCXX_EXPERIMENTAL_MEMORY_RESOURCE
#define | _GLIBCXX_MAX_ALIGN_MATCHES_MALLOC

## Typedefs

template<typename _Alloc>
using | std::experimental::fundamentals_v2::pmr::resource_adaptor

## Functions

memory_resource * | std::experimental::fundamentals_v2::pmr::get_default_resource () noexcept
memory_resource * | std::experimental::fundamentals_v2::pmr::new_delete_resource () noexcept
memory_resource * | std::experimental::fundamentals_v2::pmr::null_memory_resource () noexcept
bool | std::experimental::fundamentals_v2::pmr::operator!= (const memory_resource &__a, const memory_resource &__b) noexcept
template<class _Tp1, class _Tp2>
bool | std::experimental::fundamentals_v2::pmr::operator!= (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept
bool | std::experimental::fundamentals_v2::pmr::operator== (const memory_resource &__a, const memory_resource &__b) noexcept
template<class _Tp1, class _Tp2>
bool | std::experimental::fundamentals_v2::pmr::operator== (const polymorphic_allocator< _Tp1 > &__a, const polymorphic_allocator< _Tp2 > &__b) noexcept
memory_resource * | std::experimental::fundamentals_v2::pmr::set_default_resource (memory_resource *__r) noexcept

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/memory_resource.

## Macro Definition Documentation

## __cpp_lib_experimental_memory_resources

#define __cpp_lib_experimental_memory_resources

Definition at line 61 of file experimental/memory_resource.

## _GLIBCXX_EXPERIMENTAL_MEMORY_RESOURCE

#define _GLIBCXX_EXPERIMENTAL_MEMORY_RESOURCE

Definition at line 31 of file experimental/memory_resource.

## _GLIBCXX_MAX_ALIGN_MATCHES_MALLOC

#define _GLIBCXX_MAX_ALIGN_MATCHES_MALLOC

Definition at line 420 of file experimental/memory_resource.

## Typedef Documentation

## resource_adaptor

template<typename _Alloc>

using std::experimental::fundamentals_v2::pmr::resource_adaptor

Definition at line 77 of file experimental/memory_resource.

## Function Documentation

## get_default_resource()

memory_resource * std::experimental::fundamentals_v2::pmr::get_default_resource | ( |  | ) |

inline noexcept

Get the current default resource.

Definition at line 574 of file experimental/memory_resource.

## new_delete_resource()

memory_resource * std::experimental::fundamentals_v2::pmr::new_delete_resource | ( |  | ) |

inline noexcept

Definition at line 518 of file experimental/memory_resource.

## null_memory_resource()

memory_resource * std::experimental::fundamentals_v2::pmr::null_memory_resource | ( |  | ) |

inline noexcept

Definition at line 527 of file experimental/memory_resource.

## operator!=() [1/2]

bool std::experimental::fundamentals_v2::pmr::operator!= | ( | const memory_resource & | __a,
|  | const memory_resource & | __b )

inline noexcept

Definition at line 127 of file experimental/memory_resource.

## operator!=() [2/2]

template<class _Tp1, class _Tp2>

bool std::experimental::fundamentals_v2::pmr::operator!= | ( | const polymorphic_allocator< _Tp1 > & | __a,
|  | const polymorphic_allocator< _Tp2 > & | __b )

noexcept

Definition at line 265 of file experimental/memory_resource.

## operator==() [1/2]

bool std::experimental::fundamentals_v2::pmr::operator== | ( | const memory_resource & | __a,
|  | const memory_resource & | __b )

inline noexcept

Definition at line 123 of file experimental/memory_resource.

## operator==() [2/2]

template<class _Tp1, class _Tp2>

bool std::experimental::fundamentals_v2::pmr::operator== | ( | const polymorphic_allocator< _Tp1 > & | __a,
|  | const polymorphic_allocator< _Tp2 > & | __b )

noexcept

Definition at line 259 of file experimental/memory_resource.

## set_default_resource()

memory_resource * std::experimental::fundamentals_v2::pmr::set_default_resource | ( | memory_resource * | __r | ) |

inline noexcept

Change the default resource and return the previous one.

Definition at line 579 of file experimental/memory_resource.